summaryrefslogtreecommitdiffstats
path: root/network/GeoIP
diff options
context:
space:
mode:
author Yalla-One2010-05-12 17:42:55 +0200
committer Robby Workman2010-05-12 17:42:55 +0200
commit73bec45e9906f490f858ee5e71950b2537ef4405 (patch)
tree73ff9bed256ece61c716ba206d1881e802c9c26d /network/GeoIP
parent27bfeb10fd8aae59c3f44b1880c0e8e51154d3b6 (diff)
downloadslackbuilds-73bec45e9906f490f858ee5e71950b2537ef4405.tar.gz
network/GeoIP: Updated for version 1.4.5
Diffstat (limited to 'network/GeoIP')
-rw-r--r--network/GeoIP/GeoIP.SlackBuild15
-rw-r--r--network/GeoIP/GeoIP.info6
-rw-r--r--network/GeoIP/README2
-rw-r--r--network/GeoIP/doinst.sh1
4 files changed, 13 insertions, 11 deletions
diff --git a/network/GeoIP/GeoIP.SlackBuild b/network/GeoIP/GeoIP.SlackBuild
index f2aa36c572..f4201c08af 100644
--- a/network/GeoIP/GeoIP.SlackBuild
+++ b/network/GeoIP/GeoIP.SlackBuild
@@ -4,10 +4,11 @@
# Written by Yalla-One <yallaone@gmail.com>
PRGNAM=GeoIP
-VERSION=1.4.3
+VERSION=1.4.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,6 +20,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -27,7 +30,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -38,13 +41,15 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--datadir=/usr/share \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
# Let's not clobber config files
-mv $PKG/etc/GeoIP.conf.default $PKG/etc/GeoIP.conf.default.new
mv $PKG/etc/GeoIP.conf $PKG/etc/GeoIP.conf.new
( cd $PKG
@@ -52,7 +57,7 @@ mv $PKG/etc/GeoIP.conf $PKG/etc/GeoIP.conf.new
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-( cd $PKG/usr/man
+( cd $PKG/usr/man || exit 1
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
diff --git a/network/GeoIP/GeoIP.info b/network/GeoIP/GeoIP.info
index b9b4e05929..b441ce3c3b 100644
--- a/network/GeoIP/GeoIP.info
+++ b/network/GeoIP/GeoIP.info
@@ -1,8 +1,8 @@
PRGNAM="GeoIP"
-VERSION="1.4.3"
+VERSION="1.4.5"
HOMEPAGE="http://www.maxmind.com/app/c"
-DOWNLOAD="http://www.maxmind.com/download/geoip/api/c/GeoIP-1.4.3.tar.gz"
-MD5SUM="d364ec127a1092749d589a79001f2d8c"
+DOWNLOAD="http://geolite.maxmind.com/download/geoip/api/c/GeoIP-1.4.5.tar.gz"
+MD5SUM="d95c34cf8ebd48e357b1812db5d75cf1"
MAINTAINER="Yalla-One"
EMAIL="yallaone@gmail.com"
APPROVED="rworkman"
diff --git a/network/GeoIP/README b/network/GeoIP/README
index 2ecdb0f445..f29e9c1883 100644
--- a/network/GeoIP/README
+++ b/network/GeoIP/README
@@ -1,5 +1,3 @@
-GeoIP - GeoIP API and database
-
GeoIP is the proprietary technology that drives MaxMind's IP
geolocation data and services. GeoIP provides businesses with a
non-invasive way to determine geographical and other information
diff --git a/network/GeoIP/doinst.sh b/network/GeoIP/doinst.sh
index abb22def77..80437eb1bf 100644
--- a/network/GeoIP/doinst.sh
+++ b/network/GeoIP/doinst.sh
@@ -11,6 +11,5 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config etc/GeoIP.conf.default.new
config etc/GeoIP.conf.new